<?php

/**
* Page d'accueil du portail.
* Impose une authentification du visiteur pour continuer.
* Redirige les tentative d'identification pour traitement et test de légitimité.
*/
session_start();

require_once($_SERVER["DOCUMENT_ROOT"]."/services/fonctions/sessions/authentification.php");
validationCookie($pdo);

if (isset($_SESSION['id_utilisateur']) && isset($_SESSION['pseudo_utilisateur']) && isset($_SESSION['nom_utilisateur']) && isset($_SESSION['privilege_utilisateur']) && !empty($_SESSION['id_utilisateur']) && !empty($_SESSION['pseudo_utilisateur']) && !empty($_SESSION['nom_utilisateur']) && !empty($_SESSION['privilege_utilisateur'])) {
	header ("location: /pages/gestion/administration.php?page=accueil");
	die();
}

require_once($_SERVER["DOCUMENT_ROOT"]."/inclusions/entete.php");
require_once($_SERVER["DOCUMENT_ROOT"]."/services/fonctions/messages/messages.php");

?>

<div id="contenu" class="contenu container">
	<div id="logo-accueil" class="logo">
		<img src="/fichiers/svg/send.svg" alt="courriel">
		<h1>Courtail</h1>
	</div>
	<div class="card" id="contenu_auth">
		<div class="card-body">
			<?php

			/**
			* Affichage d'une bannière d'état sur l'action précedemment effectuée.
			*/
			if (isset($_GET['erreur']) && !empty($_GET['erreur'])) {
				retourneMessage('erreurs',$_GET['erreur']);
			}
			elseif (isset($_GET['succes']) && !empty($_GET['succes'])) {
				retourneMessage('succes',$_GET['succes']);
			}

			?>
			<form method="post" action="/services/traitements/utilisateurs/identification.php">
				<div class="form-floating mb-3 mt-3">
					<input type="text" name="identifiant" class="form-control" id="identifiant" placeholder="nom@example.fr" autofocus required/>
					<label for="identifiant">Votre nom d'utilisateur</label>
				</div>
				<div class="form-floating mb-3">
					<input type="password" name="mdp" class="form-control" id="mdp" placeholder="Mot de passe" required/>
					<label for="mdp">Votre mot de passe</label>
				</div>
				<div class="form-check mb-3">
					<input type="checkbox" name="souvenir-session" id="souvenir-session" class="form-check-input" checked/>
					<label for="souvenir-session" class="form-check-label">Se souvenir de moi</label>
				</div>
				<button id="envoyer" type="submit" class="btn btn-primary">envoyer</button>
			</form>
		</div>
	</div>
</div>

<script>
	const body = document.querySelector('body');
	body.classList.add("fond-arc-noire");
</script>

<?php
require_once($_SERVER["DOCUMENT_ROOT"]."/inclusions/pied.php");
?>
